# Function createRegisterChainInstruction

- createRegisterChainInstruction(tokenBridgeProgramId, wormholeProgramId, payer, vaa): TransactionInstruction

- #### Parameters

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### vaa: VAA<"TokenBridge:RegisterChain">

  #### Returns TransactionInstruction

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/instructions/governance.ts:15

Generated using TypeDoc